#!/usr/bin/env python

# TQt tutorial 5.

import sys
from python_tqt.qt import *


class MyWidget(TQVBox):
    def __init__(self,parent=None,name=None):
        TQVBox.__init__(self,parent,name)

        quit = TQPushButton("Quit",self,"quit")
        quit.setFont(TQFont("Times",18,TQFont.Bold))

        self.connect(quit,SIGNAL("clicked()"),tqApp,SLOT("quit()"))

        lcd = TQLCDNumber(2,self,"lcd")

        slider = TQSlider(TQt.Horizontal,self,"slider")
        slider.setRange(0,99)
        slider.setValue(0)

        self.connect(slider,SIGNAL("valueChanged(int)"),lcd,SLOT("display(int)"))


a = TQApplication(sys.argv)

w = MyWidget()
a.setMainWidget(w)
w.show()
a.exec_loop()
